# Variable default

default: {
add: ((file) => Promise<AddResponse | PinResponse>);
status: ((cid) => Promise<StatusResponse>);
}

#### Type declaration

- ##### add: ((file) => Promise<AddResponse | PinResponse>)

  - - (file): Promise<AddResponse | PinResponse>

    - #### Parameters

      - file: string | File

      #### Returns Promise<AddResponse | PinResponse>

- ##### status: ((cid) => Promise<StatusResponse>)

  - - (cid): Promise<StatusResponse>

    - #### Parameters

      - cid: string

      #### Returns Promise<StatusResponse>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/utils/cluster.ts:24